- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
gprotocolmessageforward.h File Reference
`#include "gdef.h"`
`#include "gsmtp.h"`
`#include "gresolverinfo.h"`
`#include "gclientptr.h"`
`#include "gprotocolmessage.h"`
`#include "gprotocolmessagestore.h"`
`#include "gexecutable.h"`
`#include "gsecrets.h"`
`#include "gsmtpclient.h"`
`#include "gmessagestore.h"`
`#include "gnewmessage.h"`
`#include "gverifierstatus.h"`
`#include <string>`
`#include <memory>`

Go to the source code of this file.

## Classes
class | GSmtp::ProtocolMessageForward
| A concrete implementation of the ProtocolMessage interface which stores incoming messages in the message store and then immediately forwards them on to the downstream server. More...

## Namespaces
| GSmtp
| SMTP and message-store classes.